SSH-CHROOTMGR(1)

NAME
ssh-chrootmgr - sets up chroot-ready environment for users

SYNOPSIS
ssh-chrootmgr [-h|-?|--help ] [-q ] [-v ] [-n ] login_name ...

DESCRIPTION

This script is a helper application to be used whenever you would like to run sshd or sftp-server with ChRootUsers or ChRootGroups. With ChRoot{Users,Groups} you can restrict a user to her own home directory (and thus make it much less likely that the user could steal any information from the file system). This requires, however, that you use static builds (that is, do not use shared libraries) of ssh-dummy-shell and sftp-server. How this can be accomplished depends largely on the system, but the configure script does its best to automatically guess what compiler flags to use. This script is used to simplify the copying of these binaries to a standard place. ssh-chrootmgr tries to obtain the user's home directory from /etc/passwd by the supplied username(s) (you can supply more than one username, in which case all these accounts are processed). It then creates a bin directory (if it does not already exist) under the user's home directory and copies the static binaries of ssh-dummy-shell and sftp-server2 and a symbolic link sftp-server -> sftp-server2 into this directory. After you have run this script, you should add the desired users (or groups) to ChRootUsers (ChRootGroups) in sshd2_config. You should also change the user(s) shell to /bin/ssh-dummy-shell in /etc/passwd. (After the chroot operation, ~user/bin becomes /bin from the user's perspective.)

OPTIONS

-v  Verbose mode.

-q  Quiet mode (only errors are reported).

-n  Only show what would happen, but do nothing that you might later regret. Particularly useful with -v.

-h or -? or --help
    Print usage information.

AUTHORS

SSH Communications Security Corp. For more information, see http://www.ssh.com.

SEE ALSO
ssh2(1), sshd2(8), sshd2_config(5)